#ifndef TUSBSACC_H
#define TUSBSACC_H

#ifdef TUSBDRV_EXPORTS
#define TUSBSACC_API extern "C" __declspec(dllexport)
#else
#define TUSBSACC_API extern "C" __declspec(dllimport)
#endif

#include <windows.h>

TUSBSACC_API short __stdcall Tusbs01acc_Device_Open(short id);
TUSBSACC_API void __stdcall Tusbs01acc_Device_Close(short id);
TUSBSACC_API short __stdcall Tusbs01acc_Timer_Set(short id,char N,int M);
TUSBSACC_API short __stdcall Tusbs01acc_Input_Set(short id,char HPF,char Range);
TUSBSACC_API short __stdcall Tusbs01acc_Sampling_Start(short id,char TrType,short Level,int PreLen,int TotalLen);
TUSBSACC_API short __stdcall Tusbs01acc_Status_Read(short id,char *status,char *ovf,int *leng);
TUSBSACC_API short __stdcall Tusbs01acc_Memory_Read(short id,short *data,int *leng);
TUSBSACC_API short __stdcall Tusbs01acc_Sampling_Stop(short id);
TUSBSACC_API short __stdcall Tusbs01acc_Memory_Clear(short id);
TUSBSACC_API short __stdcall Tusbs01acc_Sampling_Trigger(short id);
TUSBSACC_API short __stdcall Tusbs01acc_FifoPeak( short id ,char *Peak);

#endif